<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{ textoGestionSemaforo }}</strong>
    </div>
    <!--Contenido-->
    <div class="pl-10 pr-10 contSecc">
      <div class="titSec">
        {{ textoGestionSemaforo }}
      </div>
      <v-card>
        <div class="ml-5">
          <v-list>
            <v-list-item>
              <v-list-item-avatar>
                <v-icon color="grey lighten-1" x-large
                  >mdi-traffic-light</v-icon
                >
              </v-list-item-avatar>
              <v-list-item-content>
                <v-list-item-title>{{
                  semaforoBackup.descripcion
                }}</v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </v-list>
        </div>
        <v-tabs v-model="tab" align-with-title>
          <v-tabs-slider color="yellow"></v-tabs-slider>
          <v-tab>
            Datos del semaforo
          </v-tab>
          <v-tab>
            Rangos
          </v-tab>
        </v-tabs>
        <v-tabs-items v-model="tab">
          <v-tab-item>
            <datos-semaforo
              :semaforoIn="semaforo"
              @changeSemaforo="changeSemaforo"
            />
          </v-tab-item>
          <v-tab-item>
            <rangos :semaforoIn="semaforo" />
          </v-tab-item>
        </v-tabs-items>
      </v-card>
    </div>
  </div>
</template>
<script>
import store from "@/store";
import Rangos from "@/views/secure/sistema-informacion/dashboards/v2/semaforos/components/Rangos.vue";
import DatosSemaforo from "@/views/secure/sistema-informacion/dashboards/v2/semaforos/components/DatosSemaforo.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-GestionSemaforo",
  components: {
    Rangos,
    DatosSemaforo,
  },
  data() {
    return {
      tab: null,
      textoGestionSemaforo: null,
      semaforo: null,
    };
  },
  computed: {
    breadcrumbs() {
      return [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Sistema de Información",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion",
          },
        },
        {
          text: "Dashboard",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion_dashboard",
          },
        },
        {
          text: "Semáforos",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion_dashboard_v2_semaforos",
          },
        },
        {
          text: "Edición",
          disabled: true,
        },
      ];
    },
    serviceCommons() {
      return serviceCommons;
    },
    semaforoBackup() {
      return this.serviceCommons.base64ToObject(this.$route.params.semaforo);
    },
  },
  methods: {
    changeSemaforo(data) {
      this.semaforo = data;
      this.$router.replace({
        params: {
          semaforo: this.serviceCommons.objectToBase64(this.semaforo),
        },
      });
    },
    initValues() {
      if (this.semaforo.idSemaforo) {
        this.textoGestionSemaforo = "Editar Semaforo";
      }
    },
  },
  created() {
    if (this.$route.params.semaforo) {
      this.semaforo = this.serviceCommons.base64ToObject(
        this.$route.params.semaforo
      );
    }
    if (this.$route.query.rangos) {
      this.tab = 1;
      this.$router.replace({ query: {} });
    }
    this.initValues();
  },
};
</script>
